## ros-humble-raspimouse-navigation 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(raspimouse_navigation)

find_package(ament_cmake REQUIRED)

install(DIRECTORY
    launch params rviz
    DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
    find_package(ament_lint_auto REQUIRED)
    ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-raspimouse-navigation (2.0.0-1jammy) jammy; urgency=high

  * Humble対応 (#6 <https://github.com/rt-net/raspimouse_slam_navigation_ros2/issues/6>)
  * Contributors: Shuhei Kozasa

 -- RT Corporation <shop@rt-net.jp>  Thu, 03 Aug 2023 15:00:00 -0000

ros-humble-raspimouse-navigation (1.0.0-1jammy) jammy; urgency=high

  * DWB:Criticsのパラメータを調整
  * AMCL:回転のノイズを調整
  * DWB: 走行速度を小さくした
  * AMCL: 回転のノイズパラメータを小さくした
  * DWBにゴール判定のプラグインを追加
  * DWBの走行速度パラメータをラズパイマウスに合わせて調整
  * AMCLのパラメータに仮の初期位置・姿勢を設定
  * コストマップのパラメータを調整
  * 1m四方のフィールドで自己位置推定ができるように、AMCLのパラメータを調整した
  * footprintをラズパイマウスとケーブルの形状に合わせて長方形に変更
  * Change the raspimouse node activation method
  * Save the map file to the home directory and use the absolute path to the map file
  * Adds raspimouse_description as a dependent pacakgae
  * Update launch file so that it brings up the node for RPLIDAR
  * Removes arguments and replaces with LaunchConfigurationEquals
  * Adds lifecycle sequence
  * Adds joint_state_publisher node
  * Add navigation launch file for Robot
  * Add navigation launch file for PC
  * Adds README for navigation package
  * Creates raspimouse_navigation package
  * Contributors: Shota Aoki, Shuhei Kozasa

 -- RT Corporation <shop@rt-net.jp>  Thu, 28 Jul 2022 15:00:00 -0000

=== debian/control ===
Source: ros-humble-raspimouse-navigation
Section: misc
Priority: optional
Maintainer: RT Corporation <shop@rt-net.jp>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-hls-lfcd-lds-driver, ros-humble-nav2-bringup, ros-humble-raspimouse, ros-humble-raspimouse-slam, ros-humble-rplidar-ros, ros-humble-rviz2, ros-humble-urg-node, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-raspimouse-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-hls-lfcd-lds-driver, ros-humble-nav2-bringup, ros-humble-raspimouse, ros-humble-raspimouse-slam, ros-humble-rplidar-ros, ros-humble-rviz2, ros-humble-urg-node, ros-humble-ros-workspace
Description: Navigation package for Raspberry Pi Mouse

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-raspimouse-navigation//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-raspimouse-navigation 2.1.0

=== debian/changelog ===
ros-humble-raspimouse-navigation (2.1.0-1bookworm) bookworm; urgency=high

  * Use rplidar_a1_launch.py because rplidar.launch.py does not exist. (#8 <https://github.com/rt-net/raspimouse_slam_navigation_ros2/issues/8>)
  * Contributors: Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Mon, 04 Mar 2024 16:00:00 -0000

ros-humble-raspimouse-navigation (2.0.0-1bookworm) bookworm; urgency=high

  * Humble対応 (#6 <https://github.com/rt-net/raspimouse_slam_navigation_ros2/issues/6>)
  * Contributors: Shuhei Kozasa

 -- RT Corporation <shop@rt-net.jp>  Thu, 03 Aug 2023 16:00:00 -0000

ros-humble-raspimouse-navigation (1.0.0-1bookworm) bookworm; urgency=high

  * DWB:Criticsのパラメータを調整
  * AMCL:回転のノイズを調整
  * DWB: 走行速度を小さくした
  * AMCL: 回転のノイズパラメータを小さくした
  * DWBにゴール判定のプラグインを追加
  * DWBの走行速度パラメータをラズパイマウスに合わせて調整
  * AMCLのパラメータに仮の初期位置・姿勢を設定
  * コストマップのパラメータを調整
  * 1m四方のフィールドで自己位置推定ができるように、AMCLのパラメータを調整した
  * footprintをラズパイマウスとケーブルの形状に合わせて長方形に変更
  * Change the raspimouse node activation method
  * Save the map file to the home directory and use the absolute path to the map file
  * Adds raspimouse_description as a dependent pacakgae
  * Update launch file so that it brings up the node for RPLIDAR
  * Removes arguments and replaces with LaunchConfigurationEquals
  * Adds lifecycle sequence
  * Adds joint_state_publisher node
  * Add navigation launch file for Robot
  * Add navigation launch file for PC
  * Adds README for navigation package
  * Creates raspimouse_navigation package
  * Contributors: Shota Aoki, Shuhei Kozasa

 -- RT Corporation <shop@rt-net.jp>  Thu, 28 Jul 2022 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-raspimouse-navigation//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-raspimouse-navigation//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-raspimouse-navigation//opt/ros/humble/opt/raspimouse_navigation/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
